Subject: Re: Running SSH on Cygwin
From: [email-masked] (Michael Weiser)

17 Sep 1998 10:20:08 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 8bit
To: Ben Elliston <[email-masked]>
Cc: [email-masked]

Hello Ben, you wrote:
>I'm using Cygwin B19 and the SSH binaries from Sergey's web page.
>
>Once I start "ssh1", I get the prompt for my passphrase, so I enter it and
>then the shell hangs.
>
>If I set "CYGWIN32=tty" as the docs suggest, I get "Cannot find a
>controlling terminal or DISPLAY".
>
>Has anyone got SSH working on Cygwin?
Yes, here. It runs quite perfectly for me, not counted some small
issues I'm currently trying to make reproducable (connection droppings
and so).

Have you set your TERM environment variable to 'linux'? If not you can
do so by adding 'export TERM=linux' somewhere in your startup files.

Are you using binary mounts?

BTW: You should start ssh using the link ssh and not the ssh1
executable. There shouldn't be much difference but you never know. :)
-- 
bye, Michael
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".